# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::StandardLog Class Reference

The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file. More...

`#include <Log.hpp>`

Inheritance diagram for vl::StandardLog:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
void | setLogFile (const String &file)
const String & | logFile () const
## Protected Member Functions
virtual void | printImplementation (ELogLevel level, const String &log)
## Protected Attributes
String | mLogFile

## Detailed Description

The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file.

## Member Function Documentation

virtual const char* vl::StandardLog::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Log.

void vl::StandardLog::setLogFile | ( | const String & | file | ) | `[inline]`

const String& vl::StandardLog::logFile | ( |  | ) | const`[inline]`

void StandardLog::printImplementation | ( | ELogLevel | level,
|  | const String & | log |
| ) |  |  | `[protected, virtual]`

Implements vl::Log.

## Member Data Documentation

String vl::StandardLog::mLogFile`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Log.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Log.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.